Bug 196902 - Full remote: file that is removed from disk does not disappear from Project view
Full remote: file that is removed from disk does not disappear from Project view
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
7.0
All All
: P1 (vote)
: 7.0
Assigned To: Vladimir Kvashin
issues@cnd
FULL_REMOTE
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-21 07:35 UTC by Vladimir Kvashin
Modified: 2011-03-31 13:37 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2011-03-21 07:35:10 UTC
I imported a makefile based remote project.
When I deleted (via Favorites) a file from the project, this file shows as broken in Project view. But it should disappear (that's what it does for ordinary projects)
Comment 1 Vladimir Kvashin 2011-03-21 07:45:20 UTC
After project reopen removed files disappear from Project pane.
Comment 2 Vladimir Kvashin 2011-03-21 08:06:29 UTC
I found an exception in console that is related to this:

java.lang.Exception: No file system providers for /home/vk155xxx/NetBeansProjects/simple/file1.c
	at org.netbeans.modules.remote.spi.FileSystemProvider.noProvidersWarning(FileSystemProvider.java:342)
	at org.netbeans.modules.remote.spi.FileSystemProvider.urlToFileObject(FileSystemProvider.java:274)
	at org.netbeans.modules.cnd.remote.fs.CndFileSystemProviderImpl.toFileObjectImpl(CndFileSystemProviderImpl.java:82)
	at org.netbeans.modules.cnd.spi.utils.CndFileSystemProvider$DefaultProvider.toFileObjectImpl(CndFileSystemProvider.java:189)
	at org.netbeans.modules.cnd.spi.utils.CndFileSystemProvider.toFileObject(CndFileSystemProvider.java:114)
	at org.netbeans.modules.cnd.utils.cache.CndFileUtils.toFileObject(CndFileUtils.java:201)
	at org.netbeans.modules.cnd.api.remote.RemoteFileUtil.getFileObject(RemoteFileUtil.java:104)
	at org.netbeans.modules.cnd.makeproject.api.configurations.Item.getFileObjectImpl(Item.java:428)
	at org.netbeans.modules.cnd.makeproject.api.configurations.Item.getDataObject(Item.java:460)
	at org.netbeans.modules.cnd.makeproject.api.configurations.Folder.removeItem(Folder.java:714)
	at org.netbeans.modules.cnd.makeproject.api.configurations.Folder.refreshDiskFolder(Folder.java:184)
	at org.netbeans.modules.cnd.makeproject.configurations.ConfigurationXMLReader$3.run(ConfigurationXMLReader.java:275)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)
Comment 3 Alexander Pepin 2011-03-21 10:59:33 UTC
I believe it should be fixed by FCS (not in RC1).
Comment 4 Vladimir Kvashin 2011-03-21 23:42:29 UTC
fixed in cnd-main
http://hg.netbeans.org/cnd-main/rev/bafd30f81c3e
Comment 5 Quality Engineering 2011-03-22 09:56:05 UTC
Integrated into 'main-golden', will be available in build *201103220400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/bafd30f81c3e
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #196902 - Full remote: file that is removed from disk does not disappear from Project view
Comment 6 Alexander Pepin 2011-03-24 13:42:14 UTC
Now it works if a user deletes a file from Projects view but if the file was deleted from Files then it's shown as broken in Projects.
Comment 7 Vladimir Kvashin 2011-03-24 21:46:51 UTC
When delete event arrives to folder (Folder.fileDeleted() is called), file object is already invalid; for invalid file object Item returned incorrect path, for this reason it wasn't removed from folder.

Fixed in cnd-main:
http://hg.netbeans.org/cnd-main/rev/b7aa9f873f94
Comment 8 Quality Engineering 2011-03-25 09:51:53 UTC
Integrated into 'main-golden', will be available in build *201103250400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b7aa9f873f94
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: extra fix for #196902 - Full remote: file that is removed from disk does not disappear from Project view
Comment 9 Vladimir Kvashin 2011-03-25 14:42:28 UTC
Additional fix is needed
Comment 10 Vladimir Voskresensky 2011-03-25 15:59:42 UTC
http://hg.netbeans.org/cnd-main?cmd=changeset;node=b80472a97f73
Comment 11 Quality Engineering 2011-03-28 08:47:11 UTC
Integrated into 'main-golden', will be available in build *201103280400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b80472a97f73
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: extra fix #196902 -  Full remote: file that is removed from disk does not disappear from Project view
Comment 12 Vladimir Voskresensky 2011-03-28 12:58:17 UTC
fixed when fixing doubled items issue in 197134
http://hg.netbeans.org/cnd-main?cmd=changeset;node=b5f0aff5445e
Comment 13 Quality Engineering 2011-03-29 08:41:49 UTC
Integrated into 'main-golden', will be available in build *201103290400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/ecd3f0b4c36b
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: 1. Immutable DirectoryStorage; 2. Better synchronization on refresh: don't duplicate events (fixing #196902 Full remote: file that is removed from disk does not disappear from Project view)
Comment 14 Alexander Pepin 2011-03-29 13:27:35 UTC
verified in dev build #5052
Comment 16 Alexander Pepin 2011-03-31 13:37:46 UTC
Verified in RC2 build 20110331


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo